Add Billing Plan

It refers to the process of defining and configuring pricing tiers, subscription levels, and associated billing parameters for an API or application.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Request

{  
   "billing_plan":{  
      "customer_id":"1000602",
      "Token":"927640180941111",
      "plan_type":"1",
      "schedule_type":"M",
      "start_date":"2021-01-14",
      "end_date":null,
      "periodicity":"2",
      "end_type":"3",
      "no_of_payments":2,
      "amount":"10.00",
      "reference_id":"987654"
      "max_retry":4,
      "active":true,
      "billing_mode":"0",
      "Bill_Day":9
   },
   "Bill_Sequence":[  
      {  
         "amount":"10",
         "Schedule_Date":"2021-05-17",
         "reference_id":"16789"
         "sequence_number":"1"
      }
   ]
}

Example Response:

{
 "billing_response": 
  {    
  "result_code": 1,    
  "result_text": "SUCCESS",    
  "result_sub_code": "000",    
  "transaction_datetime": "05/14/2020 12:38:59"  
  },  
  "billing_plan": 
    {   
    "abid": 1865,    
    "customer_id": "CID100",    
    "token": "3050797983353822",   
     "plan_type": 1,    
     "schedule_type": "M",   
     "amount": 10.00,    
     "start_date": "2020-05-14T00:00:00Z",    
     "periodicity": 2,   
     "end_type": 3,    
     "no_of_payments": 2,    
     "reference_id": "",    
     "name": "",    
     "active": true,    
     "billing_mode": "0",    
     "max_retry": 4,    
     "bill_day": 9,    
     "merchant_terminal_id": 4  
     },  
     "bill_sequence": 
       [    
        {      
        "reference_id": "1",      
        "sequence_number": 1,      
        "amount": 10.0,      
        "schedule_date": "2019-05-17T00:00:00Z"   
         }  
        ]
}
Body Params
billing_plan
object
json
Defaults to [ { "amount":"10", "Schedule_Date":"2013-05-17", "reference_id":"1456", "sequence_number":"1" } ]
Headers
string
Defaults to 782457fb-2622-52fb-1c82-e8e7a370f96d
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json